# Associate a Number with a DSS Gateway

[Web version](https://docs.eis.it/en/api/reference/voip-dss/v1/voip/dss/gtw/addnumber/put)

`PUT /v1/voip/dss/gtw/addnumber`

Associate an available number with a DSS gateway.

## Request body

`application/json`

## Responses

- `204` — Number associated with DSS gateway successfully.
- `400` — Bad request - Invalid parameters or missing required fields
- `403` — Forbidden - Insufficient permissions
- `404` — Requested DSS resource not found
- `500` — Internal server error

[Hive OpenAPI JSON](/openapi.json)
